package com.fr.solution.plugin.design.formula;

import com.fr.design.formula.UIFormula;
import com.fr.design.fun.impl.AbstractUIFormulaProcessor;
import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.solution.plugin.design.formula.ui.GroupFormulaPane;
import com.fr.solution.plugin.design.formula.ui.GroupFormulaPaneWhenReserveFormula;

@FunctionRecorder
public class ScriptFormulaUI extends AbstractUIFormulaProcessor {

    @Override
    public UIFormula appearanceFormula() {
        return new GroupFormulaPane();
    }

    @Override
    @ExecuteFunctionRecord
    public UIFormula appearanceWhenReserveFormula() {
        return new GroupFormulaPaneWhenReserveFormula();
    }
}
