package com.fr.solution.plugin.design.formula.compat;

import com.fanruan.api.util.StringKit;
import com.fr.stable.script.FunctionDef;

/**
 * 函数名和描述
 *
 * @author Kalven
 * @version 10.0
 * Created by Kalven on 2019/8/31
 */
public class FunctionDefNAD extends AbstractNameAndDescription {

    private FunctionDef def;

    public FunctionDefNAD(FunctionDef def) {
        this.def = def;
    }

    public String getName() {
        return this.def == null ? StringKit.EMPTY : this.def.getName();
    }

    public String getDesc() {
        return this.def == null ? StringKit.EMPTY : this.def.getDescription();
    }
}
