package com.fr.solution.plugin.design.formula.compat;

import com.fr.stable.script.Function;

/**
 * 名字和类型对应的函数列表
 *
 * @author Kalven
 * @version 10.0
 * Created by Kalven on 2019/8/31
 */
public class NameAndTypeAndFunctionList extends NameAndFunctionList {

    private Function.Type type;

    public NameAndTypeAndFunctionList(String name, Function.Type type) {
        super(name, new Function[0]);

        this.type = type;
    }

    public boolean test(Function fn) {
        if (fn != null && fn.getType() == this.type) {
            return fnList.add(fn);
        }

        return false;
    }
}
