package com.fr.solution.plugin.design.formula.ui.type;

import com.fr.solution.plugin.design.formula.ui.evt.OperateListener;
import com.fr.stable.ParameterProvider;
import com.fr.stable.script.CalculatorProvider;

public interface CommonEvent {

    void onDoubleClick(String currentLineContent);

    void onSingleClick();

    void applyText(String text);

    void checkContentValid();

    void onSearch();

    void setOperateListener(OperateListener listener);

    ParameterProvider[] analyze4Parameters(CalculatorProvider calculator);
}
